- name: Install packages
  package:
    name:
      - rsync
      - bash
      - tmux
      - lsof
      - mg
      - htop
      - btop
      - tree
      - curl
      - ncdu
      - ripgrep
      - git-crypt
      - wget
      - colordiff
      - ipcalc
      - tcpdump
      - moreutils # for ts [%Y-%m-%d %H:%M:%.S]
      - ddrescue
      - dmidecode
    state: present

- name: Install packages
  when: install_graphics
  package:
    name:
      - kdiff3
      - meld
    state: present

- name: Install scripts
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
    owner: root
    group: wheel
  loop:
    - src: git_branches_by_owner_time
      dest: /usr/local/bin/git_branches_by_owner_time
    - src: rsyncclone
      dest: /usr/local/bin/rsyncclone
    - src: git_find_merged_branches
      dest: /usr/local/bin/git_find_merged_branches
    - src: cleanup_temporary_files
      dest: /usr/local/bin/cleanup_temporary_files
    - src: git_fix_author.bash
      dest: /usr/local/bin/git_fix_author
    - src: decode_jwt.bash
      dest: /usr/local/bin/decode_jwt

- import_tasks: tasks/freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/linux.yaml
  when: 'os_flavor == "linux"'

- include_tasks:
    file: tasks/peruser.yaml
    apply:
      become: yes
      become_user: "{{ initialize_user }}"
  loop: "{{ users | dict2items | community.general.json_query('[?value.initialize==`true`].key') }}"
  loop_control:
    loop_var: initialize_user
